## pcg-cpp 0.98.1

=== Makefile ===
# 
# PCG Random Number Generation for C++.
# 
# Copyright 2014 Melissa O'Neill <oneill@pcg-random.org>
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# For additional information about the PCG random number generation scheme,
# including its license and other licensing options, visit
# 
#     http://www.pcg-random.org
#

all:
	cd test-high; $(MAKE)
	cd sample; $(MAKE)

PREFIX = /usr/local

install: all
	install -m 0644 include/*.hpp $PREFIX/include

test:   all
	cd test-high; $(MAKE) test

clean:
	cd test-high; $(MAKE) clean
	cd sample; $(MAKE) clean

=== sample/Makefile ===
# 
# PCG Random Number Generation for C++.
# 
# Copyright 2014 Melissa O'Neill <oneill@pcg-random.org>
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# For additional information about the PCG random number generation scheme,
# including its license and other licensing options, visit
# 
#     http://www.pcg-random.org
#

TARGETS           = pcg-demo codebook cppref-sample make-partytrick
BINARYOUT_TARGETS = spew use-partytrick

CPPFLAGS += -I../include 
CXXFLAGS += -std=c++11 -O2
CC       = $(CXX)       # Cheat so that linking uses the C++ compiler

all: $(TARGETS)

posix-binaryoutput: spew use-partytrick

clean:
	rm -f *.o $(TARGETS) $(BINARYOUT_TARGETS)

codebook.o: codebook.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
cppref-sample.o: cppref-sample.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
make-partytrick.o: make-partytrick.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
pcg-demo.o: pcg-demo.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
spew.o: spew.cpp ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
use-partytrick.o: use-partytrick.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp

=== test-high/Makefile ===
# 
# PCG Random Number Generation for C++.
# 
# Copyright 2014 Melissa O'Neill <oneill@pcg-random.org>
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# For additional information about the PCG random number generation scheme,
# including its license and other licensing options, visit
# 
#     http://www.pcg-random.org
#

TARGETS           = \
    check-pcg8_once_insecure check-pcg8_oneseq_once_insecure               \
    check-pcg16_once_insecure check-pcg16_oneseq_once_insecure check-pcg32 \
    check-pcg32_c1024 check-pcg32_c1024_fast check-pcg32_c64               \
    check-pcg32_c64_fast check-pcg32_c64_oneseq check-pcg32_fast           \
    check-pcg32_k1024 check-pcg32_k1024_fast check-pcg32_k16384            \
    check-pcg32_k16384_fast check-pcg32_k2 check-pcg32_k2_fast             \
    check-pcg32_k64 check-pcg32_k64_fast check-pcg32_k64_oneseq            \
    check-pcg32_once_insecure check-pcg32_oneseq                           \
    check-pcg32_oneseq_once_insecure check-pcg32_unique check-pcg64        \
    check-pcg64_c1024 check-pcg64_c1024_fast check-pcg64_c32               \
    check-pcg64_c32_fast check-pcg64_c32_oneseq check-pcg64_fast           \
    check-pcg64_k1024 check-pcg64_k1024_fast check-pcg64_k32               \
    check-pcg64_k32_fast check-pcg64_k32_oneseq check-pcg64_once_insecure  \
    check-pcg64_oneseq check-pcg64_oneseq_once_insecure check-pcg64_unique \
    check-pcg128_once_insecure check-pcg128_oneseq_once_insecure

# special flags for some compilers
CPPFLAGS_clang++ += \
	-Weverything \
	-Wno-unknown-warning-option \
	-Wno-c++98-compat \
	-Wno-c++98-compat-pedantic \
	-Wno-date-time \
	-Wno-undef \
	-Wno-header-hygiene \
	-Wno-unused-macros

CPPFLAGS += -I../include -Wall -Wextra $(CPPFLAGS_$(CXX))
CXXFLAGS += -std=c++11
CC       = $(CXX)       # Cheat so that linking uses the C++ compiler

all: $(TARGETS)

test: $(TARGETS)
	sh run-tests.sh

clean:
	rm -f *.o $(TARGETS)
	rm -rf actual

pcg-test-noadvance.o: pcg-test-noadvance.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
pcg-test.o: pcg-test.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
check-pcg8_once_insecure.o: check-pcg8_once_insecure.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg8_oneseq_once_insecure.o: check-pcg8_oneseq_once_insecure.cpp \
  pcg-test.cpp ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg16_once_insecure.o: check-pcg16_once_insecure.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg16_oneseq_once_insecure.o: check-pcg16_oneseq_once_insecure.cpp \
  pcg-test.cpp ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32.o: check-pcg32.cpp pcg-test.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
check-pcg32_c1024.o: check-pcg32_c1024.cpp pcg-test-noadvance.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_c1024_fast.o: check-pcg32_c1024_fast.cpp \
  pcg-test-noadvance.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
check-pcg32_c64.o: check-pcg32_c64.cpp pcg-test-noadvance.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_c64_fast.o: check-pcg32_c64_fast.cpp pcg-test-noadvance.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_c64_oneseq.o: check-pcg32_c64_oneseq.cpp \
  pcg-test-noadvance.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
check-pcg32_fast.o: check-pcg32_fast.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_k1024.o: check-pcg32_k1024.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_k1024_fast.o: check-pcg32_k1024_fast.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_k16384.o: check-pcg32_k16384.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_k16384_fast.o: check-pcg32_k16384_fast.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_k2.o: check-pcg32_k2.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_k2_fast.o: check-pcg32_k2_fast.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_k64.o: check-pcg32_k64.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_k64_fast.o: check-pcg32_k64_fast.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_k64_oneseq.o: check-pcg32_k64_oneseq.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_once_insecure.o: check-pcg32_once_insecure.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_oneseq.o: check-pcg32_oneseq.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_oneseq_once_insecure.o: check-pcg32_oneseq_once_insecure.cpp \
  pcg-test.cpp ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg32_unique.o: check-pcg32_unique.cpp pcg-test-noadvance.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64.o: check-pcg64.cpp pcg-test.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
check-pcg64_c1024.o: check-pcg64_c1024.cpp pcg-test-noadvance.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_c1024_fast.o: check-pcg64_c1024_fast.cpp \
  pcg-test-noadvance.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
check-pcg64_c32.o: check-pcg64_c32.cpp pcg-test-noadvance.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_c32_fast.o: check-pcg64_c32_fast.cpp pcg-test-noadvance.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_c32_oneseq.o: check-pcg64_c32_oneseq.cpp \
  pcg-test-noadvance.cpp ../include/pcg_random.hpp \
  ../include/pcg_extras.hpp ../include/pcg_uint128.hpp
check-pcg64_fast.o: check-pcg64_fast.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_k1024.o: check-pcg64_k1024.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_k1024_fast.o: check-pcg64_k1024_fast.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_k32.o: check-pcg64_k32.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_k32_fast.o: check-pcg64_k32_fast.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_k32_oneseq.o: check-pcg64_k32_oneseq.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_once_insecure.o: check-pcg64_once_insecure.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_oneseq.o: check-pcg64_oneseq.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_oneseq_once_insecure.o: check-pcg64_oneseq_once_insecure.cpp \
  pcg-test.cpp ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg64_unique.o: check-pcg64_unique.cpp pcg-test-noadvance.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg128_once_insecure.o: check-pcg128_once_insecure.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp
check-pcg128_oneseq_once_insecure.o: \
  check-pcg128_oneseq_once_insecure.cpp pcg-test.cpp \
  ../include/pcg_random.hpp ../include/pcg_extras.hpp \
  ../include/pcg_uint128.hpp

=== debian/changelog ===
pcg-cpp (0.98.1-2) unstable; urgency=medium

  * d/control: Change Section to libdevel.
  * d/control: Switch Arch to all.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 28 Jan 2019 23:37:16 +0300

pcg-cpp (0.98.1-1) unstable; urgency=low

  * Initial release (Closes: #918942)

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 11 Jan 2019 01:36:11 +0300

=== debian/control ===
Source: pcg-cpp
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Section: libdevel
Homepage: http://www.pcg-random.org
Vcs-Git: https://salsa.debian.org/debian/pcg-cpp.git
Vcs-Browser: https://salsa.debian.org/debian/pcg-cpp.git

Package: libpcg-cpp-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: compile-time library for PCG random number generation
 implementation of the PCG family of random number generators, which are fast,
 statistically excellent, and offer a number of useful features.
 .
 Full details can be found at the PCG-Random website:
 http://www.pcg-random.org.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export CFLAGS+=-Wno-date-time
export CXXFLAGS+=-Wno-date-time
export PREFIX=/usr

%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pcg-cpp-$1\.tar\.gz/ \
  https://github.com/imneme/pcg-cpp/tags .*/v?(\d\S+)\.tar\.gz
